package com.iamberry.wechat.service.wechat.dao.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.iamberry.wechat.core.entity.wx.MenuInfo;
import com.iamberry.wechat.service.mapper.MenuInfoMapper;
import com.iamberry.wechat.service.wechat.dao.MenuInfoDAO;

@Repository
public class MenuInfoDAOImpl implements MenuInfoDAO {
	@Autowired
	private MenuInfoMapper menuInfoMapper;
	public void setMenuInfoMapper(MenuInfoMapper menuInfoMapper) {
		this.menuInfoMapper = menuInfoMapper;
	}

	@Override
	public MenuInfo selectOne(String pubNo) {
		return menuInfoMapper.selectOne(pubNo);
	}

	@Override
	public MenuInfo selectByMenuIdAndPubNo(String menuId, String pubNo) {
		return menuInfoMapper.selectByMenuIdAndPubNo(menuId, pubNo);
	}

	@Override
	public int insert(MenuInfo menuInfo) {
		return menuInfoMapper.insert(menuInfo);
	}

	@Override
	public int update(MenuInfo menuInfo) {
		return menuInfoMapper.update(menuInfo);
	}

	@Override
	public int deleteByPubNo(String pubNo) {
		return menuInfoMapper.deleteByPubNo(pubNo);
	}

}
